package scopes_test

import (
	tbase "testing"

	"git.sr.ht/~cco/go-scopes/common/testing"
	"git.sr.ht/~cco/go-scopes/forge"
	"git.sr.ht/~cco/go-scopes/forge/builtins"
)

func TestForge(tb *tbase.T) {
	t := testing.SetUp(tb)
	t.Run("exec", ExecTest)
}

func ExecTest(t *testing.T) {
	fe := forge.NewFE()
	b := builtins.Setup(fe)
	fe.Exec(b.Lit, 4)
	t.AssertEqual(fe.Pop(), 4)
	// fe.Execute(forge.Code{b.Lit, 3, b.Lit, 2, b.Add})
	// t.AssertEqual(fe.Pop(), 5)
}
